;; This file:
;;   http://anggtwu.net/elisp/2025-skeleton-1.el.html
;;   http://anggtwu.net/elisp/2025-skeleton-1.el
;;          (find-angg "elisp/2025-skeleton-1.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (defun e () (interactive) (find-angg "elisp/2025-skeleton-1.el"))
;; https://einval.eu/upload/334998654-20250219T160748--emacs-skeleton__emacs.html
;; (find-fline "~/LOGS/2025feb19.emacs3")
;; (find-es "emacs" "skeletons")

(defun find-skeleton (sk)
  (find-eoutput-rerun "*skeleton*" `(skeleton-insert ',sk)))

(defun find-skeleton-2a (sk)
  (find-2a nil `(find-skeleton ',sk)))

(find-skeleton-2a
 '(nil "foo" "bar"))

(find-skeleton-2a
 '(nil '(setq v1 nil) "foo" "bar"))

(find-skeleton-2a
 '(nil (progn "foo") "foo" "bar" (progn '(progn "bar"))))

(find-skeleton-2a
 '(nil "foo{"
       (nil "aaa" "bbb")
       "}bar"))

(find-skeleton-2a
 '(nil "foo{"
       (concat "aaa" "bbb")
       "}bar"))

(find-skeleton-2a
 '(nil "foo{"
       (when (y-or-n-p "Hello?")
	 '(nil "aaa" "bbb"))
       "}bar"))

(find-skeleton-2a
 '(nil "foo{"
       ("Input: " "<" str ">")
       "}bar"))

(find-skeleton-2a
 '(nil '(setq v1 '("aaa" "bbb" "ccc"))
       "foo{"
       ((completing-read "Input: " v1) "<" str ">")
       "}bar"))

(find-skeleton-2a
 '(nil "foo{"
       (("aaa" "bbb" "ccc") "<" str ">")
       "}bar"))

;; Doesn't work:
(find-skeleton-2a
 '(nil '(setq v1 '("aaa" "bbb" "ccc"))
       "foo{"
       (v1 "<" str ">")
       "}bar"))

;; Doesn't work:
(find-skeleton-2a
 '(nil "foo{"
       ((reverse '("aaa" "bbb" "ccc")) "<" str ">")
       "}bar"))

(find-skeleton-2a
 '(nil '(setq v1 '("aaa" "bbb" "ccc"))
       "foo{"
       `(,v1 "<" str ">")
       "}bar"))

(find-skeleton-2a
 '(nil "foo{"
       `(,(reverse '("aaa" "bbb" "ccc")) "<" str ">")
       "}bar"))
